Arch Panel: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(Code more complete)
(7 intermediate revisions by the same user not shown)
Line 2: Line 2:
<translate>
<translate>
<!--T:4-->
<!--T:4-->
{{GuiCommand
{{GuiCommand|Name=Arch Panel|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Panel Tools → Panel|Shortcut=P,A|SeeAlso=[[Arch Panel Cut|Arch Panel Cut]], [[Arch Panel Sheet|Arch Panel Sheet]]}}
|Name=Arch Panel
|MenuLocation=Arch → Panel Tools → Panel
|Workbenches=[[Arch Module|Arch]]
|Shortcut=P A
|SeeAlso=[[Arch Panel Cut|Arch Panel Cut]], [[Arch Panel Sheet|Arch Panel Sheet]]
|Version=0.15
}}


==Description== <!--T:5-->
==Description== <!--T:5-->
Line 27: Line 34:


<!--T:9-->
<!--T:9-->
# Select a 2D shape (draft object, face or sketch) - optional
# Select a 2D shape (draft object, face or sketch) - optional.
# Press the {{KEY|[[Image:Arch Panel.png|16px]] [[Arch Panel|Arch Panel]]}} button, or press {{KEY|P}} then {{KEY|A}} keys
# Press the {{Button|[[Image:Arch Panel.svg|16px]] [[Arch Panel|Arch Panel]]}} button, or press {{KEY|P}} then {{KEY|A}} keys.
# Adjust the desired properties
# Adjust the desired properties.

=== Limitations === <!--T:17-->

<!--T:18-->
* There is currently no automatic system to produce 2D cutting sheets from panel objects, but such feature is in the plans and will be added in the future.


==Options== <!--T:10-->
==Options== <!--T:10-->


<!--T:11-->
<!--T:11-->
* Panels share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Panels share the common properties and behaviours of all [[Arch Component|Arch Components]].
* The thickness of a panel can be adjusted after creation
* The thickness of a panel can be adjusted after creation.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.
* Press {{KEY|Esc}} or the {{Button|Cancel}} button to abort the current command.
* Double-clicking on the panel in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions
* Double-clicking on the panel in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions.
* It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property.
* It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property.
* Panels can make use of [[Arch MultiMaterial|Multi-Materials]]. When using a multi-material, the panel will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Panel's own Thickness value, after subtracting the other layers.
* Panels can make use of [[Arch MultiMaterial|Multi-Materials]]. When using a multi-material, the panel will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Panel's own Thickness value, after subtracting the other layers.
Line 56: Line 68:


==Scripting== <!--T:14-->
==Scripting== <!--T:14-->
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<!--T:15-->
<!--T:15-->
The Panel tool can by used in [[macros|macros]] and from the python console by using the following function:
The Panel tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
makePanel ([obj],[length],[width],[thickness],[name])
Panel = makePanel(baseobj=None, length=0, width=0, thickness=0, placement=None, name="Panel")
}}
}}
<translate>
<translate>

* Creates a {{incode|Panel}} object from the given {{incode|baseobj}}, which is a closed profile, and the given extrusion {{incode|thickness}}.
** If no {{incode|baseobj}} is given, you can provide the numerical values for the {{incode|length}}, {{incode|width}}, and {{incode|thickness}} to create a block panel.
* If a {{incode|placement}} is given, it is used.


<!--T:16-->
<!--T:16-->
Line 69: Line 86:
</translate>
</translate>
{{Code|code=
{{Code|code=
import Arch,Draft
import FreeCAD, Draft, Arch

base = Draft.makeRectangle(500,200)
Rect = Draft.makeRectangle(1000, 400)
Arch.makePanel(base,thickness=36)
Panel = Arch.makePanel(Rect, thickness=36)
}}
}}
<translate>
<translate>
Line 80: Line 98:
* [[Wikihouse porting tutorial|Wikihouse porting tutorial]]
* [[Wikihouse porting tutorial|Wikihouse porting tutorial]]


==Limitations== <!--T:17-->

<!--T:18-->
* There is currently no automatic system to produce 2D cutting sheets from panel objects, but such feature is in the plans and will be added in the future.
* This tool is not available in FreeCAD versions prior to 0.15
</translate>

<translate>
<!--T:22-->
<!--T:22-->
{{Arch Tools navi}}
[[Category:Arch]]
{{Userdocnavi}}
</translate>
</translate>

Revision as of 23:12, 30 November 2018

Arch Panel

Menu location
Arch → Panel Tools → Panel
Workbenches
Arch
Default shortcut
P A
Introduced in version
0.15
See also
Arch Panel Cut, Arch Panel Sheet

Description

This tool allows you to build all kinds of panel-like elements, typically for panel constructions like the WikiHouse project, but also for all kinds of objects that are based on a flat profile.

The above image shows a series of panel objects, simply made from imported 2D contours from a DXF file. They can then be rotated and assembled to create structures.

Since version 0.17, the Arch Panel can also be used to create corrugated or trapezoidal profiles:


How to use

  1. Select a 2D shape (draft object, face or sketch) - optional.
  2. Press the Arch Panel button, or press P then A keys.
  3. Adjust the desired properties.

Limitations

  • There is currently no automatic system to produce 2D cutting sheets from panel objects, but such feature is in the plans and will be added in the future.

Options

  • Panels share the common properties and behaviours of all Arch Components.
  • The thickness of a panel can be adjusted after creation.
  • Press Esc or the Cancel button to abort the current command.
  • Double-clicking on the panel in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions.
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property.
  • Panels can make use of Multi-Materials. When using a multi-material, the panel will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Panel's own Thickness value, after subtracting the other layers.

Properties

  • DataLength: The length of the panel
  • DataWidth: The width of the panel
  • DataThickness: The thickness of the panel
  • DataArea: The area of the panel (automatic)
  • DataSheets: The number of sheets of material the panel is made of
  • DataWave Length: The length of the wave for corrugated panels
  • DataWave Height: The height of the wave for corrugated panels
  • DataWave Type: The type of the wave for corrugated panels, curved, trapezoidal or spiked
  • DataWave Direction: The orientation of the waves for corrugated panels
  • DataBottom Wave: If the bottom wave of the panel is flat or not

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel tool can be used in macros and from the Python console by using the following function:

Panel = makePanel(baseobj=None, length=0, width=0, thickness=0, placement=None, name="Panel")
  • Creates a Panel object from the given baseobj, which is a closed profile, and the given extrusion thickness.
    • If no baseobj is given, you can provide the numerical values for the length, width, and thickness to create a block panel.
  • If a placement is given, it is used.

Example:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(1000, 400)
Panel = Arch.makePanel(Rect, thickness=36)

Tutorials